<!DOCTYPE html>
<html lang="{{ .Site.Language.Lang }}">

  {{ partial "head.html" . }}

  <body>

    {{ partial "header.html" . }}

    <main>
    <div class="flowcontainer">
    <h1>
    {{- if eq .Data.Singular "topic" -}}

    {{- $topicName := partial "i18n_topicname.html" (dict "TopicID" .Title "SiteData" $.Site.Data "Lang" $.Site.Language.Lang) -}}
    {{ T "all_comics_about" (dict "Count" 1 "Topic" $topicName) }}

    {{- else if (eq .Data.Singular "series") -}}

    {{- $seriesName := partial "i18n_seriesname.html" (dict "SeriesID" .Title "SiteData" $.Site.Data "Lang" $.Site.Language.Lang) -}}
    {{ T "series_list_caption" (dict "Count" 1 "Series" $seriesName) }}

    {{- else -}}

    {{ .Title -}}

    {{- end -}}
    </h1>

    <table>
    <thead>
    <th>{{ T "list_id" }}</th>
    <th>{{ T "list_date" }}</th>
    <th>{{ T "list_title" }}</th>
    <th>{{ T "list_other_language" }}</th>
    </thead>
    <tbody>
    {{ range .RegularPages }}
       <tr>
       <td class="numeric">#{{ .File.ContentBaseName }}</td>
       <td>{{ .PublishDate.Format (T "date_format") }}</td>
       <td>
          <a href="{{ .RelPermalink }}">{{ .Title }}</a>
       </td>
       <td>
	{{ $translations := slice }}
	{{ range .Translations -}}
	{{ $translations = $translations | append .Language.LanguageCode }}
	<a href="{{ .RelPermalink }}" title="{{ .Language.Params.languageFooterLinkTitle }}">{{ .Language.LanguageCode }}</a>
	{{- end }}

       {{ if (and (eq .Page.Section "comic") (not .IsTranslated)) -}}
       {{ T "list_empty_language_cell" }}
       {{- end -}}
       </td>
       </tr>
    {{ end }}
    </tbody>
    </table>

    {{- if or (eq .Data.Singular "topic") (eq .Data.Singular "series") -}}
    <hr>
    <p>
    {{- $plural := anchorize .Data.Plural -}}
    {{- $url := delimit (slice "/" $plural) "" -}}
    {{- if eq .Data.Singular "topic" -}}
    <a href='{{ $url | relLangURL }}' title='{{ T "all_topics" }}'>{{ T "all_topics" }}</a>
    {{- else if (eq .Data.Singular "series") -}}
    <a href='{{ $url | relLangURL }}' title='{{ T "all_series" }}'>{{ T "all_series" }}</a>
    {{- end -}}
    </p>
    {{- end -}}

    </div>
    </main>

    {{ partial "footer.html" . }}

  </body>

</html>
